=== debian/changelog ===
kodi-dmo (5:21.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Nov 2025 01:06:21 +0100

kodi-dmo (5:21.2-dmo8) unstable; urgency=medium

  * Build with libbluray3

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 19 Aug 2025 17:38:47 +0200

kodi-dmo (5:21.2-dmo7) unstable; urgency=medium

  * Build with libxml2-16

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Aug 2025 17:34:39 +0200

kodi-dmo (5:21.2-dmo6) unstable; urgency=medium

  * Add upstream patches:
     [PipeWire] Lock `CPipewireRegistry` before accessing
     PipeWire: stop log spam from RequestProcess events

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 30 Mar 2025 16:18:56 +0200

kodi-dmo (5:21.2-dmo5) unstable; urgency=medium

  * Build with libtinyxml2-11

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 18 Mar 2025 15:29:40 +0100

kodi-dmo (5:21.2-dmo4) unstable; urgency=medium

  * Rebuild. 5:21.2-dmo3 package was Segmentation fault. I don't know why,
    stack trace was unusable. (Thanks to Christophe P. for the bug report).

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Mar 2025 15:11:15 +0100

kodi-dmo (5:21.2-dmo3) unstable; urgency=medium

  * Add upstream patch to fix build with pipewire 1.4.0
  * 05_use-system-groovy.patch don't use version in .jar path

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 Mar 2025 23:27:06 +0100

kodi-dmo (5:21.2-dmo2+b1) unstable; urgency=medium

  * Build with libcec7

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Feb 2025 11:04:59 +0100

kodi-dmo (5:21.2-dmo2) unstable; urgency=medium

  * Build with libiso9660-12

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Feb 2025 12:37:52 +0100

kodi-dmo (5:21.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Jan 2025 09:32:00 +0100

kodi-dmo (5:21.1-dmo3+b2) unstable; urgency=medium

  * Build with libtag2
  * Add upstream patch to fix taglib2 with 32 bits arches.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 14 Jan 2025 17:05:38 +0100

kodi-dmo (5:21.1-dmo3+b1) unstable; urgency=medium

  * Build with libspdlog1.15

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Jan 2025 09:12:42 +0100

kodi-dmo (5:21.1-dmo3) unstable; urgency=medium

  * Update 07_support-libnfs16 patch
  * Build with python 3.13

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 29 Dec 2024 02:08:40 +0100

kodi-dmo (5:21.1-dmo2) unstable; urgency=medium

  * Add upstream patch to fix build with libnfs16
  * Add upstream patch to fix build with swig 4.3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Dec 2024 09:08:37 +0100

kodi-dmo (5:21.1-dmo1+b3) unstable; urgency=medium

  * Build with latest libcrossguid0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Nov 2024 01:43:37 +0100

kodi-dmo (5:21.1-dmo1+b2) unstable; urgency=medium

  * Build with libfmt10; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 05 Nov 2024 09:46:57 +0100

kodi-dmo (5:21.1-dmo1+b1) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 31 Oct 2024 12:06:37 +0100

kodi-dmo (5:21.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove applied upstream patches 07_Fix-crash-at-shutdown and 08_FTBFS-gcc-14

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 17 Aug 2024 10:06:35 +0200

kodi-dmo (5:21.0-dmo5) unstable; urgency=medium

  * Build with libdisplay-info2

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Jul 2024 16:21:33 +0200

kodi-dmo (5:21.0-dmo4) unstable; urgency=medium

  * Buildwith with libplist-2.0-4
  * Apply upstream patch to fix freeze on exit.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 13 Jul 2024 07:46:51 +0200

kodi-dmo (5:21.0-dmo3) unstable; urgency=medium

  * Switch to system fonts for NotoSans-Regular.ttf (fonts-noto-mono),
    Roboto-Thin.ttf (fonts-roboto-fontface) and
    glyphicons-halflings-regular.ttf (fonts-glyphicons-halflings)
  * Build with python 3.12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Jun 2024 15:09:52 +0200

kodi-dmo (5:21.0-dmo2) unstable; urgency=medium

  * Build with system ffmpeg 6.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 11 Apr 2024 10:13:56 +0200
