=== debian/control ===
Source: kodi-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://kodi.tv/
Standards-Version: 4.7.2
Build-Conflicts: libegl1-imx, libafpclient-dev, libsndio-dev
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, libgtest-dev,
 libasound2-dev, libdrm-dev, ninja-build, libdav1d-dev,
 libass-dev (>= 0.9.7), libmicrohttpd-dev, zip,
 liblcms2-dev, libegl-dev, libbluray-dev, libtinyxml-dev (>= 2.6.2-3),
 libcec-dev (>= 2:6~), libshairplay-dev, libcurl4-gnutls-dev, libdbus-1-dev,
 libxrender-dev, libavahi-common-dev, libdvdcss-dev, libdvdcss-dev:native,
 rapidjson-dev (>= 1.1.0~), flatbuffers-compiler, libflatbuffers-dev, quilt,
 libunistring-dev, wayland-protocols, waylandpp-dev, libfribidi-dev, cmake,
 libsqlite3-dev, libmariadb-dev, liblirc-dev, libgbm-dev, libpng-dev, libpng-dev:native,
 libgl-dev, libglu1-mesa-dev, libglew-dev (>= 1.13.0~), libegl1-mesa-dev,
 libfreetype-dev, libmms-dev, libfontconfig-dev, libpython3-dev, python3-setuptools,
 liblzo2-dev, liblzo2-dev:native, libcdio-dev (>= 1:2.1.0~), libavahi-compat-libdnssd-dev,
 libcrossguid-dev (>= 2:0.2.2+git200190529~), libsamplerate-dev, libfstrcmp-dev,
 libsmbclient-dev, libiso9660++-dev, libvdpau-dev, uuid-dev, libgif-dev, libgif-dev:native,
 libcap-dev, swig (>= 4.3~), libgles-dev [arm64 armel armhf], libxrandr-dev,
 libcwiid-dev, libbluetooth-dev (>= 4.98-2), zlib1g-dev, libxkbcommon-dev,
 libtag-dev, libxslt1-dev, default-jre-headless:native, libpulse-dev, libfmt-dev (>= 6.1.2~),
 libva-dev (>= 1.0.7), libplist-dev (>= 2.6.0), libssh-dev, nasm [any-amd64 any-i386],
 libxt-dev, libxtst-dev, libxmu-dev, libudev-dev, libxinerama-dev, python3-dev:any,
 libnfs-dev (>= 1:6.0.0~), libspdlog-dev (>= 1:1.12~), libinput-dev,
 libudfread-dev, libkissfft-dev, libpipewire-0.3-dev, pkgconf, libpcre3-dev,
 libdisplay-info-dev (>= 0.2~), libtinyxml2-dev, groovy:native, libcommons-lang-java:native,
 libcommons-text-java:native, libcommons-lang3-java:native, libavcodec-6-dev,
 libavformat-6-dev, libswscale-6-dev, libswresample-6-dev, libavfilter-6-dev,
 libjpeg-dev, libjpeg-dev:native,
 dh-linktree,
 node-jquery, fonts-glyphicons-halflings, fonts-noto-mono,

Package: kodi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kodi-data (>= ${source:Version}),
Pre-Depends: ${misc:Pre-Depends},
Recommends: ${shlibs:Recommends}, udisks2,
Suggests: ${shlibs:Suggests},
Breaks: kodi-standalone (<= 5:18.4-dmo2), kodi-bin (<= 5:18.4-dmo2), kodi-data (<= 5:18.5-dmo1),
 kodi-wayland (<= 5:18.99~), kodi-gbm (<= 5:18.99~), kodi-x11 (<= 5:18.99~), ${kodi:APIBREAKS},
Provides: ${kodi:APIPROVIDES},
Description: Open Source Home Theatre (executable binaries)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.

Package: kodi-data
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends}, mesa-utils, x11-utils, python3-pil, node-jquery, python3-pycryptodome,
Conflicts: kodi-skin-confluence, kodi-repository-kodi, kodi-bin, firewalld (<< 1.2.0-2),
Replaces: kodi-skin-confluence, kodi-repository-kodi, kodi-bin, firewalld (<< 1.2.0-2),
Description: Open Source Home Theatre (arch-independent data package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package contains all the architecture independent data needed to have a
 working Kodi.

Package: kodi-eventclients-common
Architecture: all
Multi-Arch: foreign
Depends: ${python3:Depends}, ${misc:Depends},
Description: Open Source Home Theatre (Event Client Common package)
 Kodi (formally known as XBMC), is an award winning free
 and open source software media-player and entertainment hub for all your
 digital media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and
 Apple TV) and Microsoft Windows, as well as the original Xbox game console.
 Created in 2003 by a group of like minded programmers, Kodi is a non-profit
 project run and developed by volunteers located around the world. More than
 50 software developers have contributed to Kodi, and 100-plus translators
 have worked to expand its reach, making it available in more than 30
 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the common package for Kodi Event Client.

Package: kodi-eventclients-wiiremote
Architecture: any
Depends: kodi-eventclients-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends},
Description: Open Source Home Theatre (Event Client WII Remote support package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the Wii Remote client package for Kodi.

Package: kodi-eventclients-ps3
Architecture: all
Depends: kodi-eventclients-common (= ${binary:Version}), python3-bluez, ${python3:Depends}, ${misc:Depends},
Description: Open Source Home Theatre (Event Client PS3 package)
 Kodi (formally known as XBMC), is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package is the PS3 package for Kodi Event Client.

Package: kodi-addons-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: kodi-addons-dev-common (= ${source:Version}), ${misc:Depends},
Provides: dh-sequence-kodiaddon (= ${binary:Version}),
Conflicts: kodi-eventclients-dev,
Replaces: kodi-eventclients-dev,
Description: Open Source Home Theatre (Addons Dev package)
 Kodi, formerly known as XBMC is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This is the development package for Kodi Addons.
 .
 This package contains independent headers for building Addons without the
 whole Kodi source tree.

Package: kodi-addons-dev-common
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends},
Breaks: kodi-addons-dev (<< 5:19.5-dmo1~),
Replaces: kodi-addons-dev (<< 5:19.5-dmo1~),
Description: Open Source Home Theatre (architecture-independent addon development package)
 Kodi, formerly known as XBMC is an award winning free and open source
 software media-player and entertainment hub for all your digital media.
 Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV) and
 Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project
 run and developed by volunteers located around the world. More than 50
 software developers have contributed to Kodi, and 100-plus translators have
 worked to expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
